#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__rdma_create_kernel_id, 0x115cb651, "");
SYMBOL_CRC(rdma_accept, 0xe246bbb0, "");
SYMBOL_CRC(rdma_accept_ece, 0x4c96f66d, "");
SYMBOL_CRC(rdma_bind_addr, 0x191d5155, "");
SYMBOL_CRC(rdma_connect, 0xf7ee0685, "");
SYMBOL_CRC(rdma_connect_ece, 0x59e82eff, "");
SYMBOL_CRC(rdma_connect_locked, 0x3956cc66, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x2930707d, "");
SYMBOL_CRC(rdma_create_qp, 0x30f4a78b, "");
SYMBOL_CRC(rdma_create_user_id, 0x5a692f9f, "");
SYMBOL_CRC(rdma_destroy_id, 0xadad6476, "");
SYMBOL_CRC(rdma_destroy_qp, 0x014d3e61, "");
SYMBOL_CRC(rdma_disconnect, 0xe1f6707a, "");
SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_get_service_id, 0xc149c5fc, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xb7885430, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xba84cb3a, "");
SYMBOL_CRC(rdma_join_multicast, 0x4ec6a5d5, "");
SYMBOL_CRC(rdma_leave_multicast, 0x77307225, "");
SYMBOL_CRC(rdma_listen, 0x0453a280, "");
SYMBOL_CRC(rdma_lock_handler, 0x9e1d8e42, "");
SYMBOL_CRC(rdma_notify, 0xe26fcad4, "");
SYMBOL_CRC(rdma_read_gids, 0xf78ae0f7, "");
SYMBOL_CRC(rdma_reject, 0x50421852, "");
SYMBOL_CRC(rdma_reject_msg, 0xce728178, "");
SYMBOL_CRC(rdma_res_to_id, 0xd1639ecf, "");
SYMBOL_CRC(rdma_resolve_addr, 0xd0c508a1, "");
SYMBOL_CRC(rdma_resolve_route, 0x2b80d595, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x7277326c, "");
SYMBOL_CRC(rdma_set_afonly, 0x66baa9d5, "");
SYMBOL_CRC(rdma_set_ib_path, 0x944c58d0, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x1740b879, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x865dd3bb, "");
SYMBOL_CRC(rdma_set_service_type, 0x9ffabc69, "");
SYMBOL_CRC(rdma_unlock_handler, 0x5ee2167e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64069f6d, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x320ea653, "iw_create_cm_id" },
	{ 0x8cc1fdbf, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc91ca2a0, "ib_unregister_client" },
	{ 0xd4977949, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3eaafe72, "ib_send_cm_sidr_rep" },
	{ 0x75994d52, "bpf_trace_run4" },
	{ 0x26a81361, "config_group_init" },
	{ 0xf3993b0d, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x88a14fa5, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2bfeb804, "trace_raw_output_prep" },
	{ 0x8b3e6207, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x5ddc752d, "__trace_trigger_soft_disabled" },
	{ 0xc36873bc, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0x39988871, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a22a917, "rdma_query_gid" },
	{ 0x9c9a3d00, "rt6_lookup" },
	{ 0x1a04bbd9, "rdma_translate_ip" },
	{ 0xbc6f2ae8, "bpf_trace_run2" },
	{ 0x7901b3c4, "rdma_dev_access_netns" },
	{ 0x287d33, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xade58343, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xae0fc81, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbaf3c25, "register_pernet_subsys" },
	{ 0xf1bbde8a, "trace_event_buffer_commit" },
	{ 0x3adc07e0, "ip_mc_inc_group" },
	{ 0x5a9585be, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x340220b2, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xbfb5e610, "iw_cm_connect" },
	{ 0x490245cd, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe76f5256, "rdma_addr_cancel" },
	{ 0xf74cbddc, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x7e70a3da, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xd1a14dbe, "ib_register_client" },
	{ 0x6ba82f99, "ib_sa_path_rec_get" },
	{ 0xe03e185c, "ib_create_cm_id" },
	{ 0x4242b862, "__ip_mc_dec_group" },
	{ 0xd75c20ec, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x22e4e754, "perf_trace_run_bpf_submit" },
	{ 0x56c0b2b7, "ib_init_ah_from_mcmember" },
	{ 0xdfa3ef9, "rdma_destroy_ah_attr" },
	{ 0xbd0b24cb, "ib_set_client_data" },
	{ 0x38225c35, "init_net" },
	{ 0xc3b904cc, "ib_get_cached_pkey" },
	{ 0x808ab0a7, "configfs_register_subsystem" },
	{ 0xbfd3694a, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xa656fec9, "rdma_put_gid_attr" },
	{ 0x8f8dc40d, "config_group_init_type_name" },
	{ 0x9741a9f5, "dev_get_by_index" },
	{ 0x5b860e16, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xd37bee2c, "ib_send_cm_rep" },
	{ 0x338de378, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x7a4dee3e, "iw_cm_disconnect" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb16fc8c7, "__ethtool_get_link_ksettings" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xb4ad47dd, "bpf_trace_run1" },
	{ 0xee87bc5b, "ib_destroy_qp_user" },
	{ 0x48b9e3e, "unregister_pernet_subsys" },
	{ 0x6f8c401d, "ib_cm_init_qp_attr" },
	{ 0xa1578b52, "_dev_warn" },
	{ 0x26e243e9, "ib_send_cm_drep" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x13e6dad9, "rdma_restrack_set_name" },
	{ 0x8adaf406, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x380d133, "ib_get_cached_port_state" },
	{ 0xd8c130e4, "ib_send_cm_mra" },
	{ 0xea005508, "rdma_restrack_del" },
	{ 0x9bb477ab, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xed8af357, "bpf_trace_run3" },
	{ 0x2bc91f82, "__put_net" },
	{ 0xc2c7f0df, "rdma_restrack_parent_name" },
	{ 0xa4e188e7, "strscpy" },
	{ 0x99904ed6, "iw_cm_accept" },
	{ 0xfa4f3076, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x47825944, "config_item_put" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4343c25d, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xfdc94b0a, "iw_cm_init_qp_attr" },
	{ 0x12636aee, "dst_release" },
	{ 0xa2da54d4, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa5ef2675, "ib_send_cm_dreq" },
	{ 0x1900da7, "ib_send_cm_req" },
	{ 0x4590fb7c, "ib_create_qp_kernel" },
	{ 0x161b21fd, "ib_sa_join_multicast" },
	{ 0xc63ec7d8, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xa227ed7d, "kmalloc_trace" },
	{ 0xad8683d8, "rdma_restrack_new" },
	{ 0x94c06a8e, "__fib_lookup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xb087ca24, "iw_cm_listen" },
	{ 0x2e31692, "ib_send_cm_rej" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xf4711555, "rdma_copy_src_l2_addr" },
	{ 0xc0ad968, "kmalloc_caches" },
	{ 0xa9aa104d, "rdma_resolve_ip" },
	{ 0x27473ff7, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "87E21DA1E737B23AD18D4D5");
MODULE_INFO(rhelversion, "9.99");
