#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x8b6f1600, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x843cfc40, "");
SYMBOL_CRC(rxrpc_kernel_end_call, 0x4491e027, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xab614a3b, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x02a874c4, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xc60ed123, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x40c0c9aa, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x52d66fb6, "");
SYMBOL_CRC(key_type_rxrpc, 0xb0076269, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x5cf754fd, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x177dea8c, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xb838c8bb, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x0ff97b84, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x9ace17b0, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xfd2f71cc, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0xbef74db5, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xb3c4288c, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x8583ccb3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd10e0689, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xeae01f97, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdf43d091, "key_alloc" },
	{ 0x75994d52, "bpf_trace_run4" },
	{ 0x45b64e10, "skb_copy_bits" },
	{ 0x3761d215, "idr_find" },
	{ 0x3d97aaf4, "param_ops_uint" },
	{ 0x1db8bb5e, "register_net_sysctl" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdd7bd6ee, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2bfeb804, "trace_raw_output_prep" },
	{ 0x8eaa9e3a, "udp_sock_create4" },
	{ 0x4ffa7be7, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x1de1520f, "skb_dequeue" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x5ddc752d, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc36873bc, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xc06fa7e0, "add_wait_queue_exclusive" },
	{ 0xd9352b25, "set_user_nice" },
	{ 0xd566933c, "up" },
	{ 0x4e6c3192, "udpv6_sendmsg" },
	{ 0x7c5f83e8, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x39988871, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2af0e7e4, "key_type_keyring" },
	{ 0xb320cc0e, "sg_init_one" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xbc6f2ae8, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x3e69b87c, "crypto_skcipher_setkey" },
	{ 0xd71426cd, "ip_route_output_flow" },
	{ 0xb03b4d5d, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xedb5d319, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x6dbce378, "register_key_type" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2c9bb12d, "proc_create_net_data" },
	{ 0x12cdd2ba, "put_cmsg" },
	{ 0x9e39b01f, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf1bbde8a, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xffacf39c, "crypto_destroy_tfm" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xa4c3270a, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x6b9c4586, "ipv6_icmp_error" },
	{ 0xf5aa12d1, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x357e2490, "crypto_skcipher_decrypt" },
	{ 0x190959a, "make_kuid" },
	{ 0x67875e28, "ip6_route_output_flags" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x91413934, "kmem_cache_alloc" },
	{ 0x589a59d8, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xa2bf86ba, "skb_queue_tail" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0xc2c5802, "work_busy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xd1633ef7, "__sock_recv_timestamp" },
	{ 0x7874fbb8, "key_put" },
	{ 0xb94f4d5d, "__kmalloc_node_track_caller" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x22e4e754, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x38225c35, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x10822a95, "skb_pull" },
	{ 0x6762e507, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x4dea1053, "memchr" },
	{ 0x7b78fe7c, "sock_enable_timestamps" },
	{ 0xe0e200e5, "ip_sock_set_mtu_discover" },
	{ 0x81b433f2, "down" },
	{ 0x6efb206a, "bpf_trace_run5" },
	{ 0xae4d8fa4, "sk_free" },
	{ 0xc1c7b9ea, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x3335c541, "kfree_skb_reason" },
	{ 0xc9118b3d, "kernel_sock_shutdown" },
	{ 0xf31a3848, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xebf7d02c, "kmem_cache_free" },
	{ 0x338de378, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x40340210, "iov_iter_kvec" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x262f1d7f, "unregister_pernet_device" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xf9ee0772, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa47e0b21, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x74d88677, "skb_copy_datagram_iter" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xf9d56ad7, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x22c7a3cb, "sk_alloc" },
	{ 0xb4ad47dd, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xd6d12050, "__sock_recv_wifi_status" },
	{ 0x2135c477, "sock_no_socketpair" },
	{ 0x1ff2c11c, "skb_queue_purge" },
	{ 0x4f3a68e4, "key_revoke" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xeddf2c50, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x7679ed09, "key_validate" },
	{ 0x28e8af5b, "sock_no_sendpage" },
	{ 0xa94db611, "crypto_alloc_sync_skcipher" },
	{ 0xbb39e043, "setup_udp_tunnel_sock" },
	{ 0xd3d68d0, "proc_remove" },
	{ 0xc185072e, "udp_sock_create6" },
	{ 0x103bafd6, "down_read" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0x64c9aeba, "kthread_create_on_node" },
	{ 0xed8af357, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbaf22757, "kvfree_call_rcu" },
	{ 0xfa4f3076, "trace_event_buffer_reserve" },
	{ 0x249fc54a, "keyring_search" },
	{ 0xb2966a3f, "ip_sock_set_recverr" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xacd3c4c8, "request_key_tag" },
	{ 0xcbfa05b7, "generic_key_instantiate" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x22c0db47, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6e571a7, "seq_printf" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0xfc3d1916, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd6740935, "skb_clone" },
	{ 0x12636aee, "dst_release" },
	{ 0xb5fb7324, "_copy_from_iter" },
	{ 0x168fd61a, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xab05d47a, "seq_puts" },
	{ 0xec0f658e, "sock_no_ioctl" },
	{ 0x3a728230, "_proc_mkdir" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xa227ed7d, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xeee2fb9e, "bpf_trace_run7" },
	{ 0xf587b4f5, "ip_icmp_error" },
	{ 0x6e4b9dbe, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x1aacaa3a, "kernel_sendmsg" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x304ffa77, "skb_to_sgvec" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x290bbf64, "register_pernet_device" },
	{ 0xf0d1bc88, "skb_condense" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xec277809, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xc0ad968, "kmalloc_caches" },
	{ 0xc89a2470, "kmem_cache_destroy" },
	{ 0x190d9e6, "release_sock" },
	{ 0xaa4a709a, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x39215781, "proc_create_net_single_write" },
	{ 0x76b2bab9, "crypto_alloc_skcipher" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x27473ff7, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "469963185F0CB12C7BBB0C8");
MODULE_INFO(rhelversion, "9.99");
