#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0xded62a0c, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0xc90eb57b, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x68a64288, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x0537c93f, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x7bed887c, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x5718e66e, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xec833d57, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x9eead58e, "");
SYMBOL_CRC(drm_atomic_check_only, 0x62a489b6, "");
SYMBOL_CRC(drm_atomic_commit, 0x36785ea8, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x4ae9afac, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0xe28d487f, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0xc16454d0, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x8f868fdc, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x3459fb21, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xd5eb8e05, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x5520e474, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x33711c7d, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0xd2c36959, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x8f6bcfac, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x1aceb7b1, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x37e9f427, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x73c0e45b, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0xc6792db9, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x1b8d3779, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xe6adfbdc, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x8ecb7e9c, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x82f5d8d3, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0x9497a04d, "");
SYMBOL_CRC(drm_atomic_state_init, 0x8a3a1974, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x13826378, "");
SYMBOL_CRC(drm_state_dump, 0xdb9255d9, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x14daebac, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x8ed0cb7b, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x9a574b52, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0xf02746b5, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0xf8a11bde, "");
SYMBOL_CRC(drm_file_get_master, 0x57882c8d, "");
SYMBOL_CRC(drm_is_current_master, 0x7c31c8df, "");
SYMBOL_CRC(drm_master_get, 0x3041f10c, "");
SYMBOL_CRC(drm_master_internal_acquire, 0xc61a8ee8, "");
SYMBOL_CRC(drm_master_internal_release, 0xdef44fec, "");
SYMBOL_CRC(drm_master_put, 0x0c3f40b1, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x8581e419, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0xb1ac75de, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0xaa6ac605, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0x94ce3767, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0xbacb7887, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xfe00591b, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(devm_drm_bridge_add, 0xa639e182, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x6b441e8c, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x6a8973e9, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0xb67c46b3, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0xed0ddb4c, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x4db0e3e8, "");
SYMBOL_CRC(drm_bridge_add, 0xa0f6bdbf, "");
SYMBOL_CRC(drm_bridge_attach, 0xd2c4c379, "");
SYMBOL_CRC(drm_bridge_chain_disable, 0xcfbee449, "");
SYMBOL_CRC(drm_bridge_chain_enable, 0x6a03ccba, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0xbffde010, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0xf6643f34, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x4a286746, "");
SYMBOL_CRC(drm_bridge_chain_post_disable, 0xb530ead9, "");
SYMBOL_CRC(drm_bridge_chain_pre_enable, 0x8a98138e, "");
SYMBOL_CRC(drm_bridge_remove, 0xa2ee21ed, "");
SYMBOL_CRC(drm_bridge_detect, 0xf6f73533, "_gpl");
SYMBOL_CRC(drm_bridge_get_edid, 0xa7389322, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xc977a7c7, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x9ff50ee7, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x9ff10fde, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x7f58256e, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0xb7104d72, "");
SYMBOL_CRC(drm_clflush_sg, 0xb0b05ff5, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x5b599570, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x1a7c6dc6, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x240763fd, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x7c6b92df, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x5445eb89, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xb999480f, "");
SYMBOL_CRC(drm_client_init, 0xd6ad0193, "");
SYMBOL_CRC(drm_client_register, 0xaff92f7a, "");
SYMBOL_CRC(drm_client_release, 0xc729c74d, "");
SYMBOL_CRC(drm_client_modeset_check, 0x0ffe83f9, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xbe7578ff, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x6b713295, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xbd208c6f, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x8a12a029, "");
SYMBOL_CRC(drm_client_rotation, 0x7370a724, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_color_lut_check, 0xabae4ba5, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0xb91001e7, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xe872af5f, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x237a7371, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x8ae58bc3, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0xed643f2e, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x25d5c630, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x0a7f7b08, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x09c58924, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xbf882b4c, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0xe65f7071, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0xfbc1476c, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x572d7977, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x0afd2ece, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x13c0653e, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x5d99f655, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0xb40bc254, "");
SYMBOL_CRC(drm_connector_cleanup, 0x76943bed, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xe85be922, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x4453c384, "");
SYMBOL_CRC(drm_connector_init, 0x4025118b, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x8265c7a4, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x90b9aa7b, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x555a9bb6, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0xf9a474ee, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x00368162, "");
SYMBOL_CRC(drm_connector_register, 0x17883804, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0xa103d98b, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0xa5f8e109, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x34af01aa, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0xddb14bde, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x7d9c5500, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0xcfccc508, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0xddc6f583, "");
SYMBOL_CRC(drm_connector_unregister, 0xb4a2e8f7, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0xc8e9dbbe, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xbdac567a, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0xe62fc3ee, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0xcfcb40ef, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x1e8c31df, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xa3be8e5c, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x04e9aba5, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x378d1baf, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x3ca13c8c, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x1f8a6bdd, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xc4ea03eb, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x366b6a2b, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x47548aa3, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xce347008, "");
SYMBOL_CRC(drmm_connector_init, 0xea437db9, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x98da2f86, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0xa08d72af, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x52209b58, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x06405e37, "");
SYMBOL_CRC(drm_crtc_from_index, 0xf58205df, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x730fd0e2, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x6eef1726, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x951fb39a, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x99100978, "");
SYMBOL_CRC(drm_dev_alloc, 0xc9e11b9b, "");
SYMBOL_CRC(drm_dev_enter, 0x15196b29, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_get, 0xf9a6adba, "");
SYMBOL_CRC(drm_dev_put, 0xf4dd91f8, "");
SYMBOL_CRC(drm_dev_register, 0xc25760b9, "");
SYMBOL_CRC(drm_dev_set_unique, 0xc084b76b, "");
SYMBOL_CRC(drm_dev_unplug, 0x66426549, "");
SYMBOL_CRC(drm_dev_unregister, 0xcf5bdee6, "");
SYMBOL_CRC(drm_put_dev, 0xd5d0e40e, "");
SYMBOL_CRC(drm_add_edid_modes, 0x050967e1, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x542982ba, "");
SYMBOL_CRC(drm_av_sync_delay, 0xaf2e5fa2, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x3e22390e, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0x38690d99, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xa248afde, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x3327d956, "");
SYMBOL_CRC(drm_edid_alloc, 0xa6943fc6, "");
SYMBOL_CRC(drm_edid_are_equal, 0x24993e50, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_connector_update, 0xbc83bd55, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_duplicate, 0x7edf470b, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x7c545285, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xa6efc711, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0x8d72789e, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0xff31982f, "");
SYMBOL_CRC(drm_edid_raw, 0x4489a5e9, "");
SYMBOL_CRC(drm_edid_read, 0x3afb6d12, "");
SYMBOL_CRC(drm_edid_read_custom, 0xd0232ddb, "");
SYMBOL_CRC(drm_edid_read_ddc, 0xb1a102b3, "");
SYMBOL_CRC(drm_edid_to_sad, 0x6ac01ea8, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3cdc37e9, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_get_edid, 0x7728fa7f, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x67678ede, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x22b86b32, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0xd5089b22, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x4785e5e6, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x9c2bef31, "");
SYMBOL_CRC(drm_probe_ddc, 0xbbd8f6bb, "");
SYMBOL_CRC(drm_set_preferred_mode, 0xab099a01, "");
SYMBOL_CRC(drm_do_get_edid, 0xc2d136fe, "_gpl");
SYMBOL_CRC(__drmm_encoder_alloc, 0xd56e357d, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x1808b75e, "");
SYMBOL_CRC(drm_encoder_init, 0x0d614430, "");
SYMBOL_CRC(drmm_encoder_init, 0xbbed8112, "");
SYMBOL_CRC(drm_event_cancel_free, 0x08018ca0, "");
SYMBOL_CRC(drm_event_reserve_init, 0x900dc8ae, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x050697df, "");
SYMBOL_CRC(drm_open, 0x443895f8, "");
SYMBOL_CRC(drm_poll, 0xd76a770b, "");
SYMBOL_CRC(drm_read, 0x2ffe4276, "");
SYMBOL_CRC(drm_release, 0xdf6d7fbd, "");
SYMBOL_CRC(drm_release_noglobal, 0x4edd2bcb, "");
SYMBOL_CRC(drm_send_event, 0x88d1a39c, "");
SYMBOL_CRC(drm_send_event_locked, 0x53efbfea, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x138195e3, "");
SYMBOL_CRC(mock_drm_getfile, 0x92804121, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0xa848ad92, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_get_format_info, 0xf1cc5b47, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x6fcdee2b, "");
SYMBOL_CRC(drm_framebuffer_init, 0x332a5e85, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xbc0533c1, "");
SYMBOL_CRC(drm_framebuffer_plane_height, 0x813777aa, "");
SYMBOL_CRC(drm_framebuffer_plane_width, 0xe588193e, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x9c916a1c, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x4ded075e, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0xad5579e8, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0xfb106387, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x7bbefd59, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0xa788f773, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x28feb3d0, "");
SYMBOL_CRC(drm_gem_get_pages, 0x1ee54ece, "");
SYMBOL_CRC(drm_gem_handle_create, 0x8a81d8c9, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x61275c52, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xec306ffc, "");
SYMBOL_CRC(drm_gem_lru_init, 0x0ad7782d, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0xe386a3b8, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x5db52058, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x39e370d0, "");
SYMBOL_CRC(drm_gem_mmap, 0xb0ad8fcf, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0xc84661fb, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_object_init, 0x121c88c8, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x8b354d8b, "");
SYMBOL_CRC(drm_gem_object_release, 0xe7cb8840, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x41f0aa47, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xbcda35f3, "");
SYMBOL_CRC(drm_gem_put_pages, 0x8f210f96, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x29d3bc1e, "");
SYMBOL_CRC(drm_gem_vm_close, 0x4e205eed, "");
SYMBOL_CRC(drm_gem_vm_open, 0x973dda74, "");
SYMBOL_CRC(drm_gem_vmap, 0x1b54170e, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x9a3182ea, "");
SYMBOL_CRC(drm_gem_vunmap, 0x6f58825e, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0xd8105caa, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0xd616b404, "_gpl");
SYMBOL_CRC(drm_invalid_op, 0x735cecfa, "");
SYMBOL_CRC(drm_ioctl, 0xfa2f28d8, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(drm_ioctl_kernel, 0xba59beb1, "");
SYMBOL_CRC(drm_noop, 0xf8992832, "");
SYMBOL_CRC(__drmm_add_action, 0xdf213b4d, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0xe941c80d, "");
SYMBOL_CRC(drmm_kfree, 0x5bea2a36, "");
SYMBOL_CRC(drmm_kmalloc, 0xe77a53b5, "");
SYMBOL_CRC(drmm_mutex_init, 0xce76cd48, "");
SYMBOL_CRC(drmm_kstrdup, 0xf0cee338, "_gpl");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_print, 0x0f7acb66, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0xa4f285e1, "");
SYMBOL_CRC(drm_mode_config_reset, 0x3d59d181, "");
SYMBOL_CRC(drmm_mode_config_init, 0x1aba669c, "");
SYMBOL_CRC(drm_mode_object_find, 0x4d6ee708, "");
SYMBOL_CRC(drm_mode_object_get, 0xc75f92da, "");
SYMBOL_CRC(drm_mode_object_put, 0x660b1f02, "");
SYMBOL_CRC(drm_object_attach_property, 0xdefe046e, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x6a487eae, "");
SYMBOL_CRC(drm_object_property_get_value, 0x5ea3a362, "");
SYMBOL_CRC(drm_object_property_set_value, 0x7bc2da2d, "");
SYMBOL_CRC(drm_connector_list_update, 0x6665178c, "");
SYMBOL_CRC(drm_cvt_mode, 0xb78470ee, "");
SYMBOL_CRC(drm_gtf_mode, 0xbcabf2c1, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x02585d31, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_create, 0x8eaba4f4, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x6fe2b7fd, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_destroy, 0x8fba401b, "");
SYMBOL_CRC(drm_mode_duplicate, 0xec7c5509, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_is_420, 0x8c35d2cf, "");
SYMBOL_CRC(drm_mode_is_420_also, 0x9f7fbed2, "");
SYMBOL_CRC(drm_mode_is_420_only, 0x0d7e35e2, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x0e4d118c, "");
SYMBOL_CRC(drm_mode_probed_add, 0xbb87a58f, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x076bc081, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x2adda62a, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x42745051, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0xf1fd8670, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0xbfc745a8, "");
SYMBOL_CRC(drm_modeset_backoff, 0xe944e2e2, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x8b2d8e16, "");
SYMBOL_CRC(drm_modeset_lock, 0x7a94401f, "");
SYMBOL_CRC(drm_modeset_lock_all, 0xb53b4fd7, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0xe521b87a, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x97de314d, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0xd78863a6, "");
SYMBOL_CRC(drm_modeset_unlock, 0xc64f2a61, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0xb195b534, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x1e8fcf68, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x7ae70276, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0xe50654c4, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x94cccdbe, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x77236848, "");
SYMBOL_CRC(drm_plane_cleanup, 0x3a1d9f72, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x3f6f566b, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x5e993e04, "");
SYMBOL_CRC(drm_plane_force_disable, 0x7e20f948, "");
SYMBOL_CRC(drm_plane_from_index, 0xc650f198, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x89797d0d, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xf52106c9, "");
SYMBOL_CRC(drm_universal_plane_init, 0x0a0b6827, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x0ea17d35, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x51cffdd0, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0xe0e89e9a, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x689ad0a5, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x2b1e3b26, "");
SYMBOL_CRC(drm_gem_map_attach, 0xd8094431, "");
SYMBOL_CRC(drm_gem_map_detach, 0xd3f52f84, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x46de7f73, "");
SYMBOL_CRC(drm_gem_prime_export, 0xe2c79b65, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xa2a4c057, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x79e29742, "");
SYMBOL_CRC(drm_gem_prime_import, 0x95db6d67, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x7ff2727e, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0xf254388f, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x0ea7e1d3, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0xee2ca1f0, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xd05fda43, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x19df4854, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x44a2cadb, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x0a5bfa73, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_dev_dbg, 0xb51e6d5e, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xea00fe81, "");
SYMBOL_CRC(__drm_printfn_debug, 0xf824c7db, "");
SYMBOL_CRC(__drm_printfn_err, 0x3f405489, "");
SYMBOL_CRC(__drm_printfn_info, 0xe317082a, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0xfeb953b1, "");
SYMBOL_CRC(__drm_puts_coredump, 0x3b0e5e9c, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x513072fe, "");
SYMBOL_CRC(drm_dev_printk, 0xfc638ff9, "");
SYMBOL_CRC(drm_print_bits, 0x32a0cc37, "");
SYMBOL_CRC(drm_print_regset32, 0x8961c82f, "");
SYMBOL_CRC(drm_printf, 0x28779e52, "");
SYMBOL_CRC(drm_puts, 0x521ad6d0, "");
SYMBOL_CRC(drm_property_add_enum, 0xb41026e4, "");
SYMBOL_CRC(drm_property_blob_get, 0xf2d5ee6e, "");
SYMBOL_CRC(drm_property_blob_put, 0x5858f9b5, "");
SYMBOL_CRC(drm_property_create, 0xda4b0fef, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x8fb4ba05, "");
SYMBOL_CRC(drm_property_create_blob, 0x60dcec21, "");
SYMBOL_CRC(drm_property_create_bool, 0xe8d1cd95, "");
SYMBOL_CRC(drm_property_create_enum, 0x38649f65, "");
SYMBOL_CRC(drm_property_create_object, 0xaa9451a8, "");
SYMBOL_CRC(drm_property_create_range, 0x5a29e1c1, "");
SYMBOL_CRC(drm_property_create_signed_range, 0xcecf5874, "");
SYMBOL_CRC(drm_property_destroy, 0x6a4a9af6, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x280bf57c, "");
SYMBOL_CRC(drm_property_replace_blob, 0x728334e6, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0xfe209c5f, "");
SYMBOL_CRC(drm_syncobj_add_point, 0xd5daa5d7, "");
SYMBOL_CRC(drm_syncobj_create, 0xc843f20b, "");
SYMBOL_CRC(drm_syncobj_find, 0xd762c95f, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0xa8fa8269, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0xac638583, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x3e1cde7d, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xe3c9457d, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x12a789fd, "");
SYMBOL_CRC(drm_sysfs_connector_status_event, 0xd797a41a, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0xca4c7c31, "");
SYMBOL_CRC(drm_class_device_register, 0x5eeb9136, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0xaf4f60ec, "_gpl");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x9772a596, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x41494861, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0xb5d6bfb4, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0xf17f83b9, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x16a2da44, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x2010b3d0, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x99901756, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xb42667f4, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xcbc3727d, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x5dc50a44, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0xb754b0e0, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xdb138661, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xc7f28c40, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0xf54a2a75, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x7b234564, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0xe983bd34, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x246e8e22, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xc052e778, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x9f579ed4, "");
SYMBOL_CRC(drm_handle_vblank, 0x6db31093, "");
SYMBOL_CRC(drm_vblank_init, 0x6ce3396d, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x3f9316d2, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x1f9f3336, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xfc756de0, "");
SYMBOL_CRC(drm_vblank_work_init, 0xe5764d36, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x6cfc711c, "");
SYMBOL_CRC(drm_vma_node_allow, 0xf092af45, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x682fbda3, "");
SYMBOL_CRC(drm_vma_node_revoke, 0xa5ec2523, "");
SYMBOL_CRC(drm_vma_offset_add, 0xa7ff050f, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0x7d9b3370, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x3cb803c8, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0xb4fe0501, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x8cd1f61b, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xcf220437, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x63d597b0, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x809c6fb6, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x6e76d740, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x2f4356a2, "");
SYMBOL_CRC(drm_writeback_queue_job, 0xbde0dc9c, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0xb70595e6, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_compat_ioctl, 0xf9fe5843, "");
SYMBOL_CRC(drm_panel_add, 0xff5f5491, "");
SYMBOL_CRC(drm_panel_disable, 0x9f2beeba, "");
SYMBOL_CRC(drm_panel_enable, 0xca2e19ea, "");
SYMBOL_CRC(drm_panel_get_modes, 0xa00c9409, "");
SYMBOL_CRC(drm_panel_init, 0x8a9fafef, "");
SYMBOL_CRC(drm_panel_prepare, 0x9198a451, "");
SYMBOL_CRC(drm_panel_remove, 0x7fe2c50e, "");
SYMBOL_CRC(drm_panel_unprepare, 0x23cc2794, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x522cf5ec, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x3f7cdd77, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x810d99c0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xba1b0458, "try_module_get" },
	{ 0xaa4a85e6, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8cf19ffb, "ww_mutex_lock_interruptible" },
	{ 0xeae01f97, "vmemmap" },
	{ 0xaf0dcebc, "alloc_anon_inode" },
	{ 0x28220d2e, "show_class_attr_string" },
	{ 0x22b79637, "kthread_cancel_work_sync" },
	{ 0x69498e4e, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xd384b400, "kthread_flush_work" },
	{ 0x75994d52, "bpf_trace_run4" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x841782dc, "__class_create" },
	{ 0x3761d215, "idr_find" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7a56049a, "dev_set_name" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x2bfeb804, "trace_raw_output_prep" },
	{ 0x3250eefb, "dma_resv_init" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x7f5b4fe4, "sg_free_table" },
	{ 0xbda704bd, "dma_resv_wait_timeout" },
	{ 0xa8eb8f43, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x5ddc752d, "__trace_trigger_soft_disabled" },
	{ 0x7a2a8718, "kthread_flush_worker" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x232d6581, "class_destroy" },
	{ 0xc36873bc, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x5ffafca0, "ww_mutex_unlock" },
	{ 0x90048300, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x67b5c287, "fd_install" },
	{ 0x484fc1cb, "dma_fence_chain_ops" },
	{ 0x39988871, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcd3f6356, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe380d41f, "iput" },
	{ 0x14d91464, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x5e02a9c9, "dma_buf_unmap_attachment_unlocked" },
	{ 0x8b96c312, "__pagevec_release" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xb49c699d, "dma_fence_add_callback" },
	{ 0x83a58951, "synchronize_srcu" },
	{ 0x2bbaaf54, "get_device" },
	{ 0x74c2ea58, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6bb3fc68, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x9e39b01f, "wake_up_process" },
	{ 0x5bc787c6, "dev_driver_string" },
	{ 0x84f97102, "dma_buf_map_attachment_unlocked" },
	{ 0xf1bbde8a, "trace_event_buffer_commit" },
	{ 0xa978846e, "pci_domain_nr" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x949ca2b, "ww_mutex_trylock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x171a1b8d, "dma_max_mapping_size" },
	{ 0x79e382df, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xa02d80cb, "param_ops_dyndbg_classes" },
	{ 0xb77c488c, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x98bab1be, "kthread_queue_work" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x841cc2f6, "dma_fence_remove_callback" },
	{ 0x652a0c26, "_dev_info" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf06482e0, "atomic_dec_and_mutex_lock" },
	{ 0xd48f882f, "module_put" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xcc7f22d2, "devm_add_action" },
	{ 0xd193780f, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x7f957121, "dma_fence_chain_walk" },
	{ 0xf059ecd1, "mark_page_accessed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb9ab78e, "__task_pid_nr_ns" },
	{ 0x96db0b79, "kobject_uevent_env" },
	{ 0xa0d3d560, "ksize" },
	{ 0xb94f4d5d, "__kmalloc_node_track_caller" },
	{ 0x3ee36a58, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xff7ec0ff, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x22e4e754, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x7cdadd9c, "fput" },
	{ 0x71ba420a, "_dev_err" },
	{ 0x6ccc34dd, "sort" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x24f88395, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xad8d3d0e, "sysfs_remove_link" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x1ddc1385, "pid_task" },
	{ 0x1ebb33bf, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbb77a41e, "noop_llseek" },
	{ 0x6f2df3ef, "dma_fence_signal" },
	{ 0x1ae21ad8, "dma_resv_fini" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7c9ca58f, "__sg_page_iter_next" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x5d7dee6b, "strscpy_pad" },
	{ 0xa3acda84, "dma_buf_get" },
	{ 0xcb706cc8, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0x2fb3f83f, "ww_mutex_lock" },
	{ 0x338de378, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3e27a1ec, "shmem_read_mapping_page_gfp" },
	{ 0x4d7c2a5f, "dma_buf_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x9bc98b38, "dma_buf_fd" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x38a52db1, "dma_fence_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0xab781570, "fb_get_options" },
	{ 0x4af9690d, "device_register" },
	{ 0x4ee330f0, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x5db425e, "sg_alloc_table_from_pages_segment" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa1578b52, "_dev_warn" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x6108288f, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x7242e96d, "strnchr" },
	{ 0xe798236d, "jiffies" },
	{ 0x5f9453b7, "set_page_dirty" },
	{ 0xeb1c1093, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xed8af357, "bpf_trace_run3" },
	{ 0xe33f8c4d, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x25e58a09, "hdmi_avi_infoframe_init" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0xa4e188e7, "strscpy" },
	{ 0x5996896, "debugfs_create_file" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xfa4f3076, "trace_event_buffer_reserve" },
	{ 0xf76d52ae, "dma_map_sgtable" },
	{ 0xa6c83c8d, "kthread_destroy_worker" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x581d8d98, "__dma_fence_unwrap_merge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0xf7b337e5, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0x87b8798d, "sg_next" },
	{ 0x12ef7bca, "__register_chrdev" },
	{ 0xccd4c999, "__sg_page_iter_start" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x5a3d9310, "seq_write" },
	{ 0x1ee9ed02, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6e571a7, "seq_printf" },
	{ 0xec72ab78, "__srcu_read_unlock" },
	{ 0xf06d8aa5, "i2c_transfer" },
	{ 0x7e71ec2b, "dma_fence_allocate_private_stub" },
	{ 0x4cc6e5b, "dma_buf_detach" },
	{ 0x636ace72, "dma_fence_signal_timestamp" },
	{ 0xdb977d34, "dma_fence_chain_init" },
	{ 0xab05d47a, "seq_puts" },
	{ 0xb81af93a, "single_release" },
	{ 0x9f00b00c, "check_move_unevictable_pages" },
	{ 0x91a18779, "pid_vnr" },
	{ 0xa12238c2, "sched_set_fifo" },
	{ 0x552bdbcd, "simple_release_fs" },
	{ 0x929c3d33, "dma_unmap_sg_attrs" },
	{ 0xafb5364b, "kill_anon_super" },
	{ 0x1d19af05, "from_kuid_munged" },
	{ 0xa227ed7d, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x409f85af, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x77358855, "iomem_resource" },
	{ 0x49cd88a9, "dma_fence_chain_find_seqno" },
	{ 0x83fec2f7, "param_ops_int" },
	{ 0x4bf8c589, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3829416d, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xa8390327, "debugfs_create_dir" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xb38beebf, "sync_file_get_fence" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xee8770d7, "put_pid" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xd1519ed3, "pci_bus_type" },
	{ 0xc0ad968, "kmalloc_caches" },
	{ 0xc1f5a572, "class_remove_file_ns" },
	{ 0xd0df066b, "simple_pin_fs" },
	{ 0x569c8bea, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xcc445ceb, "__sg_page_iter_dma_next" },
	{ 0x27473ff7, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks,i2c-core");


MODULE_INFO(srcversion, "0DB7C5ED4348A3F0672795E");
MODULE_INFO(rhelversion, "9.99");
