#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvme_fc_io_getuuid, 0x58e312f7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_register_localport, 0x85a64077, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb4840fa, "nvme_remove_admin_tag_set" },
	{ 0x76cd64b3, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xeae01f97, "vmemmap" },
	{ 0x54a89605, "nvme_uninit_ctrl" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xfe6eadfe, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4f310414, "nvmf_free_options" },
	{ 0x88c517ba, "blk_mq_tagset_wait_completed_request" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x45ff3b32, "blk_mq_complete_request_remote" },
	{ 0xdbc029ce, "dma_unmap_page_attrs" },
	{ 0xa86d40c4, "nvme_setup_cmd" },
	{ 0x4511f1cb, "nvme_start_ctrl" },
	{ 0xb684e167, "dma_sync_single_for_device" },
	{ 0x831d7d3a, "nvme_alloc_admin_tag_set" },
	{ 0x12629f80, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x274dd1a3, "sg_free_table_chained" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xa0b004e6, "nvmf_reg_read32" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xe284a207, "nvme_delete_ctrl" },
	{ 0x2bbaaf54, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5bc787c6, "dev_driver_string" },
	{ 0x35bc5647, "nvmf_get_address" },
	{ 0x4d3d3cb4, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xc98835d3, "nvme_remove_io_tag_set" },
	{ 0x92a33f4b, "nvme_cleanup_cmd" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x866f806b, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4ee2db42, "nvmf_unregister_transport" },
	{ 0x488f7526, "blkcg_get_fc_appid" },
	{ 0x79e382df, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xa901dbbe, "nvme_change_ctrl_state" },
	{ 0x652a0c26, "_dev_info" },
	{ 0xfe084d27, "nvme_init_ctrl" },
	{ 0x2a4b0c08, "nvme_alloc_io_tag_set" },
	{ 0xaa3360ba, "nvme_fail_nonready_command" },
	{ 0x96db0b79, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x71ba420a, "_dev_err" },
	{ 0x83e1bcd5, "__class_register" },
	{ 0xf369129, "device_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf17cbf90, "blk_sync_queue" },
	{ 0x85abc85f, "strncmp" },
	{ 0x48e5eb7b, "blkcg_set_fc_appid" },
	{ 0x6b61df9f, "__blk_rq_map_sg" },
	{ 0xad4aee39, "strncpy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x76312f2d, "nvmf_reg_read64" },
	{ 0x984e6f8e, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x85ce1ffe, "nvmf_connect_admin_queue" },
	{ 0xc36c6572, "nvme_enable_ctrl" },
	{ 0xa68ab3f, "nvme_unquiesce_admin_queue" },
	{ 0x9eb51589, "dma_sync_single_for_cpu" },
	{ 0xa1578b52, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe798236d, "jiffies" },
	{ 0x9318c5ba, "nvme_unquiesce_io_queues" },
	{ 0x8eb7ac44, "blk_mq_update_nr_hw_queues" },
	{ 0x195989fc, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x67a26541, "nvmf_should_reconnect" },
	{ 0x6a1c6ea8, "nvme_complete_async_event" },
	{ 0x87b8798d, "sg_next" },
	{ 0xe16fea78, "device_destroy" },
	{ 0x10b4a4bc, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x632c1a22, "nvmf_register_transport" },
	{ 0x4c46b278, "blk_mq_start_request" },
	{ 0x2f17f54a, "nvme_quiesce_io_queues" },
	{ 0x9dc6bcf2, "blk_mq_tagset_busy_iter" },
	{ 0x42511627, "nvme_stop_ctrl" },
	{ 0x929c3d33, "dma_unmap_sg_attrs" },
	{ 0xa227ed7d, "kmalloc_trace" },
	{ 0x2d45423c, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x6586d3f3, "nvme_reset_ctrl" },
	{ 0x1bee4974, "sg_alloc_table_chained" },
	{ 0x380dc621, "nvme_quiesce_admin_queue" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x215580ea, "__nvme_check_ready" },
	{ 0xc0ad968, "kmalloc_caches" },
	{ 0xcff2332c, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x27473ff7, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "0AA37AD4DB7E50E5547E6C7");
MODULE_INFO(rhelversion, "9.99");
