#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_nat_setup_info, 0x3283a759, "");
SYMBOL_CRC(nf_ct_nat_ext_add, 0xd5af75ff, "_gpl");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x34bc6d4f, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xaa40cf1f, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x6b55cd68, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x00a692bc, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x4884776e, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x40a6c49e, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xbced7455, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x2b8e6bfe, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x9f79caa3, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x8786bae0, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xbaecbb36, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x2d7f1f8f, "");
SYMBOL_CRC(nf_nat_follow_master, 0x409f26f8, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xd5049e65, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x42eb7dda, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x187b5c87, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x9ab42f5d, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x7acfe9d3, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x450b8c65, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xa66d59ee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61eee775, "nf_ct_ext_add" },
	{ 0x114ae772, "__do_once_done" },
	{ 0xba1b0458, "try_module_get" },
	{ 0x71fcbf12, "nf_ip6_checksum" },
	{ 0x45b64e10, "skb_copy_bits" },
	{ 0x43337787, "nf_hook_entries_insert_raw" },
	{ 0x96a62ffa, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4b11699d, "nf_ct_seqadj_set" },
	{ 0xd4186164, "skb_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x13712e27, "nf_ct_helper_expectfn_unregister" },
	{ 0x79e4203a, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x6b572ce5, "nf_ct_helper_expectfn_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x4849ff42, "ip6_route_me_harder" },
	{ 0xd21d97cb, "pskb_expand_head" },
	{ 0xbaf3c25, "register_pernet_subsys" },
	{ 0x47c0b846, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0x374adc2e, "nf_ct_iterate_cleanup_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa24056d7, "ipv6_skip_exthdr" },
	{ 0xe4119b1f, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd48f882f, "module_put" },
	{ 0x5c052cd5, "ipv6_dev_get_saddr" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xa38599a, "nf_ct_expect_related_report" },
	{ 0xbfa9d381, "nf_conntrack_alter_reply" },
	{ 0xab7681ce, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x437d5d55, "nf_hook_entries_delete_raw" },
	{ 0xd8bb6db0, "skb_ensure_writable" },
	{ 0x6af4d6a9, "nf_unregister_net_hooks" },
	{ 0xa4db68e1, "inet_select_addr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x48b9e3e, "unregister_pernet_subsys" },
	{ 0xe724c4ad, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x29efdf97, "nf_ip_checksum" },
	{ 0xba8767d0, "register_btf_kfunc_id_set" },
	{ 0xf67518cc, "nf_ct_iterate_destroy" },
	{ 0x2014a246, "__siphash_unaligned" },
	{ 0xd95886c4, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2bc91f82, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xbaf22757, "kvfree_call_rcu" },
	{ 0xa17b019e, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x638ac7ed, "inet_proto_csum_replace4" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0x12636aee, "dst_release" },
	{ 0x7c0aa913, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xf6daf13e, "nf_nat_hook" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa227ed7d, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xc0ad968, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x27473ff7, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "E32B00B74EC40510B818EDA");
MODULE_INFO(rhelversion, "9.99");
